Post by paradoxx » Wed Jan 11, 2023 6:03 am

Hi everyone,

like the title says, I bought an extension in 2014 and the support doesnt exist anymore. I cant remember when was the last time I tried to contact them through the support funtion without success.

I need support because this extension, which is encrypting and decrypting my download goods, doesnt let me turn it off or uninstall it because if one of those happens, all of the files are useless and customer orders disappear from the downloads area.

I need help, if there is someone expert in php and mysql that could help me to roll back this extension or someone that could know where to contact them.

Developer is/was called Techpres/Opencart Cooladdons.com

New member

Posts

Joined
Sun Jun 30, 2013 5:56 am

Post by khnaz35 » Wed Jan 11, 2023 10:55 am

What is your opencart version. And what exotically you want to do? Do you want to remove the extension ? Do you want to keep the extension and make it work again?

Urgent Questions shoot here: khnaz35@gmail.com
Enjoy nature ;) :) :-*


User avatar
Active Member

Posts

Joined
Mon Aug 27, 2018 11:30 pm
Location - Malaysia

Post by paradoxx » Thu Jan 12, 2023 7:02 pm

khnaz35 wrote:
Wed Jan 11, 2023 10:55 am
What is your opencart version. And what exotically you want to do? Do you want to remove the extension ? Do you want to keep the extension and make it work again?
Thank you for your answer.
My open cart version is 1.5.5.1
I want to remove the extension and make that the customers, after the deletion of the extension, have again their downloads that they bought.
Because when you uninstall or disable the extension, all the downloads from customers are not anymore available because there is no decryption happening when uninstalling the extension.

New member

Posts

Joined
Sun Jun 30, 2013 5:56 am

Post by johnp » Thu Jan 12, 2023 8:10 pm

When was the last time the extension worked and what PHP version were you running then? Have you tried turning the extension off manually and removing the files?

Opencart 1.5.6.5/OC Bootstrap Pro/VQMOD lover, user and geek.
Affordable Service £££ - Opencart Installs, Fixing, Development and Upgrades
Plus Ecommerce, Marketing, Mailing List Management and More
FREE Guidance and Advice at https://www.ecommerce-help.co.uk


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK

Post by paradoxx » Sun Jan 15, 2023 7:51 am

johnp wrote:
Thu Jan 12, 2023 8:10 pm
When was the last time the extension worked and what PHP version were you running then? Have you tried turning the extension off manually and removing the files?
First of all, thank you both for answering.
The extension still works as it should be. The problem is that I cannot do an OC Upgrade because this extension was not created for newer versions.
Either I remove the extension and somehow rebuild the orders with downloadable content, because after the uninstall all orders with downloadable products go blank, disappear.

or, someone could convert the extension to work on newer versions of opencart and live my entire life with the extension.

Thas is why I need a developer that can help me.

New member

Posts

Joined
Sun Jun 30, 2013 5:56 am

Post by khnaz35 » Sun Jan 15, 2023 9:31 am

paradoxx wrote:
Thu Jan 12, 2023 7:02 pm
I want to remove the extension.
In this case would suggest you to check your original files of extension and then compare them on the server and manually remove all the files and tables created by extension from data base.

Urgent Questions shoot here: khnaz35@gmail.com
Enjoy nature ;) :) :-*


User avatar
Active Member

Posts

Joined
Mon Aug 27, 2018 11:30 pm
Location - Malaysia

Post by johnp » Sun Jan 15, 2023 5:38 pm

One option as a temporary fix would be to upgrade your site to OC 1.5.6.5 running on PHP 7.4 or 8. You could pay a developer a few shekels to upgrade the extension which hopefully wouldn't be a huge job. After that you could plan an upgrade to OC 3.0.3.8.
Last edited by johnp on Sun Jan 15, 2023 11:51 pm, edited 1 time in total.

Opencart 1.5.6.5/OC Bootstrap Pro/VQMOD lover, user and geek.
Affordable Service £££ - Opencart Installs, Fixing, Development and Upgrades
Plus Ecommerce, Marketing, Mailing List Management and More
FREE Guidance and Advice at https://www.ecommerce-help.co.uk


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK

Post by khnaz35 » Sun Jan 15, 2023 7:12 pm

If you like you can send me email and i can help you.

Urgent Questions shoot here: khnaz35@gmail.com
Enjoy nature ;) :) :-*


User avatar
Active Member

Posts

Joined
Mon Aug 27, 2018 11:30 pm
Location - Malaysia

Post by paradoxx » Sun Jan 22, 2023 9:21 pm

johnp wrote:
Sun Jan 15, 2023 5:38 pm
One option as a temporary fix would be to upgrade your site to OC 1.5.6.5 running on PHP 7.4 or 8. You could pay a developer a few shekels to upgrade the extension which hopefully wouldn't be a huge job. After that you could plan an upgrade to OC 3.0.3.8.
is a direct jump from 1.5.6.5 to 3.0.3.8 possible?
I was thinking to get rid of the extension but if it can be flawlessly upgraded, I can live with it. :D

New member

Posts

Joined
Sun Jun 30, 2013 5:56 am

Post by paradoxx » Sun Jan 22, 2023 9:24 pm

khnaz35 wrote:
Sun Jan 15, 2023 7:12 pm
If you like you can send me email and i can help you.
Thank you for offering me your help. You will be reading about me when needed. Thanks again.

New member

Posts

Joined
Sun Jun 30, 2013 5:56 am

Post by johnp » Sun Jan 22, 2023 11:39 pm

paradoxx wrote:
Sun Jan 22, 2023 9:21 pm
is a direct jump from 1.5.6.5 to 3.0.3.8 possible?
I was thinking to get rid of the extension but if it can be flawlessly upgraded, I can live with it. :D
It is not. It can be done in jumps but is not an easy or reliable process IMO.

Opencart 1.5.6.5/OC Bootstrap Pro/VQMOD lover, user and geek.
Affordable Service £££ - Opencart Installs, Fixing, Development and Upgrades
Plus Ecommerce, Marketing, Mailing List Management and More
FREE Guidance and Advice at https://www.ecommerce-help.co.uk


User avatar
Active Member

Posts

Joined
Fri Mar 25, 2011 10:25 am
Location - Surrey, UK
Who is online

Users browsing this forum: Bing [Bot] and 3 guests